Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049231
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo Localizations] Localization Portugalmajoralways2022-05-05 13:382022-06-20 16:55
ReporterpsanjuanView Statuspublic 
Assigned Topsanjuan 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Regression introduced in release
Summary

0049231: The title of documents "Fatura" (template) must be changed as "Fatura-Recibo" if such document has any payment.

DescriptionThe title of documents "Fatura" (template) must be changed as "Fatura-Recibo" if such document has any payment.
Steps To Reproduce- Create a sale and pay it or partially pay it
- When printed it must state in the printed document "Fatura-Recibo"
Proposed SolutionThe title of documents "Fatura" (template) must be changed as "Fatura-Recibo" if such document has any payment (partial or total).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0137432)
psanjuan (manager)
2022-05-18 14:05

Related to Jira https://openbravo.atlassian.net/browse/RM-564 [^] [^]
(0138296)
hgbot (developer)
2022-06-13 09:28

Merge Request created: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail/-/merge_requests/53 [^]
(0138561)
hgbot (developer)
2022-06-20 13:26

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail [^]
Changeset: fbc360028649b7481f423c45195d9ec0281bb5e4
Author: Igor Trebol <igor.trebol@openbravo.com>
Date: 20-06-2022 13:25:28
URL: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail/-/commit/fbc360028649b7481f423c45195d9ec0281bb5e4 [^]

Fixes ISSUE-49231: Changed title FATURA to FATURA-RECIBO when there is any payment in full invoices

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/com.practicsbs.saftpt.retail/res/invoice.xml
---
(0138562)
hgbot (developer)
2022-06-20 13:26

Merge request merged: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail/-/merge_requests/53 [^]
(0138563)
hgbot (developer)
2022-06-20 13:27

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail [^]
Changeset: f45695eec99de6c762a79cff9d914e5155dd2110
Author: Igor Trebol <igor.trebol@openbravo.com>
Date: 20-06-2022 11:27:09
URL: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail/-/commit/f45695eec99de6c762a79cff9d914e5155dd2110 [^]

Fixes ISSUE-49231: Changed title FATURA to FATURA-RECIBO when there is any payment in full invoices


(cherry picked from commit fbc360028649b7481f423c45195d9ec0281bb5e4)
---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/com.practicsbs.saftpt.retail/res/invoice.xml
---
(0138564)
hgbot (developer)
2022-06-20 13:27

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail [^]
Changeset: c22c6d481e2b22ff65ae8bed8da6de17b5c62379
Author: Igor Trebol <igor.trebol@openbravo.com>
Date: 20-06-2022 11:27:22
URL: https://gitlab.com/openbravo/product/pmods/com.practicsbs.saftpt.retail/-/commit/c22c6d481e2b22ff65ae8bed8da6de17b5c62379 [^]

Fixes ISSUE-49231: Changed title FATURA to FATURA-RECIBO when there is any payment in full invoices


(cherry picked from commit fbc360028649b7481f423c45195d9ec0281bb5e4)
---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/com.practicsbs.saftpt.retail/res/invoice.xml
---
(0138580)
aferraz (developer)
2022-06-20 16:55

Added to certification branch: https://gitlab.com/openbravo/devel/pmods/com.practicsbs.saftpt.retail/-/commit/219364b64fb6bc805e1690f9836d6e5e1beceff6 [^]

- Issue History
Date Modified Username Field Change
2022-05-05 13:38 psanjuan New Issue
2022-05-05 13:38 psanjuan Assigned To => psanjuan
2022-05-18 14:05 psanjuan Note Added: 0137432
2022-06-13 09:28 hgbot Note Added: 0138296
2022-06-20 13:26 hgbot Resolution open => fixed
2022-06-20 13:26 hgbot Status new => closed
2022-06-20 13:26 hgbot Note Added: 0138561
2022-06-20 13:26 hgbot Note Added: 0138562
2022-06-20 13:27 hgbot Note Added: 0138563
2022-06-20 13:27 hgbot Note Added: 0138564
2022-06-20 16:55 aferraz Note Added: 0138580


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker